[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#327618: marked as done (libqt4-dev: Missing dependency)



Your message dated Mon, 12 Sep 2005 13:47:16 -0700
with message-id <E1EEvCu-00063d-00@spohr.debian.org>
and subject line Bug#327618: fixed in qt4-x11 4.0.1-2
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--------------------------------------
Received: (at submit) by bugs.debian.org; 11 Sep 2005 12:36:54 +0000
>From kurt@roeckx.be Sun Sep 11 05:36:54 2005
Return-path: <kurt@roeckx.be>
Received: from hoboe1bl1.telenet-ops.be [195.130.137.72] 
	by spohr.debian.org with esmtp (Exim 3.36 1 (Debian))
	id 1EER4n-0001kN-00; Sun, 11 Sep 2005 05:36:53 -0700
Received: from localhost (localhost.localdomain [127.0.0.1])
	by hoboe1bl1.telenet-ops.be (Postfix) with SMTP id 8CE97381B0
	for <submit@bugs.debian.org>; Sun, 11 Sep 2005 14:36:52 +0200 (CEST)
Received: from Q.roeckx.be (dD5775F4A.access.telenet.be [213.119.95.74])
	by hoboe1bl1.telenet-ops.be (Postfix) with ESMTP id 80CAE381AC
	for <submit@bugs.debian.org>; Sun, 11 Sep 2005 14:36:52 +0200 (CEST)
Received: by Q.roeckx.be (Postfix, from userid 501)
	id 5B30326136; Sun, 11 Sep 2005 14:36:52 +0200 (CEST)
Date: Sun, 11 Sep 2005 14:36:52 +0200
From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: libqt4-dev: Missing dependency
Message-ID: <20050911123652.GA26056@roeckx.be>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.4.2.1i
Delivered-To: submit@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Level: 
X-Spam-Status: No, hits=-8.0 required=4.0 tests=BAYES_00,HAS_PACKAGE 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02

Package: libqt4-dev
Version: 4.0.1-1
Severity: serious

Hi,

Your package has a QtSql.pc and Qt3Support.pc pkg-config file
included.  Packages using that fail to build because you're
atleast missing a dependency on libmysqlclient14-dev, and looks
like on libpq-dev too.  Maybe some others?


Kurt


---------------------------------------
Received: (at 327618-close) by bugs.debian.org; 12 Sep 2005 20:48:51 +0000
>From katie@spohr.debian.org Mon Sep 12 13:48:51 2005
Return-path: <katie@spohr.debian.org>
Received: from katie by spohr.debian.org with local (Exim 3.36 1 (Debian))
	id 1EEvCu-00063d-00; Mon, 12 Sep 2005 13:47:16 -0700
From: Brian Nelson <pyro@debian.org>
To: 327618-close@bugs.debian.org
X-Katie: $Revision: 1.56 $
Subject: Bug#327618: fixed in qt4-x11 4.0.1-2
Message-Id: <E1EEvCu-00063d-00@spohr.debian.org>
Sender: Archive Administrator <katie@spohr.debian.org>
Date: Mon, 12 Sep 2005 13:47:16 -0700
Delivered-To: 327618-close@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Level: 
X-Spam-Status: No, hits=-6.0 required=4.0 tests=BAYES_00,HAS_BUG_NUMBER 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02
X-CrossAssassin-Score: 3

Source: qt4-x11
Source-Version: 4.0.1-2

We believe that the bug you reported is fixed in the latest version of
qt4-x11, which is due to be installed in the Debian FTP archive:

libqt4-core_4.0.1-2_i386.deb
  to pool/main/q/qt4-x11/libqt4-core_4.0.1-2_i386.deb
libqt4-debug_4.0.1-2_i386.deb
  to pool/main/q/qt4-x11/libqt4-debug_4.0.1-2_i386.deb
libqt4-designer_4.0.1-2_i386.deb
  to pool/main/q/qt4-x11/libqt4-designer_4.0.1-2_i386.deb
libqt4-dev_4.0.1-2_i386.deb
  to pool/main/q/qt4-x11/libqt4-dev_4.0.1-2_i386.deb
libqt4-gui_4.0.1-2_i386.deb
  to pool/main/q/qt4-x11/libqt4-gui_4.0.1-2_i386.deb
libqt4-qt3support_4.0.1-2_i386.deb
  to pool/main/q/qt4-x11/libqt4-qt3support_4.0.1-2_i386.deb
libqt4-sql_4.0.1-2_i386.deb
  to pool/main/q/qt4-x11/libqt4-sql_4.0.1-2_i386.deb
qt4-dev-tools_4.0.1-2_i386.deb
  to pool/main/q/qt4-x11/qt4-dev-tools_4.0.1-2_i386.deb
qt4-doc_4.0.1-2_all.deb
  to pool/main/q/qt4-x11/qt4-doc_4.0.1-2_all.deb
qt4-x11_4.0.1-2.diff.gz
  to pool/main/q/qt4-x11/qt4-x11_4.0.1-2.diff.gz
qt4-x11_4.0.1-2.dsc
  to pool/main/q/qt4-x11/qt4-x11_4.0.1-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 327618@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Brian Nelson <pyro@debian.org> (supplier of updated qt4-x11 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 12 Sep 2005 12:32:53 -0700
Source: qt4-x11
Binary: libqt4-sql libqt4-core qt4-doc libqt4-debug libqt4-designer libqt4-qt3support libqt4-dev qt4-dev-tools libqt4-gui
Architecture: source i386 all
Version: 4.0.1-2
Distribution: unstable
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Brian Nelson <pyro@debian.org>
Description: 
 libqt4-core - Qt 4 core non-GUI functionality runtime library
 libqt4-debug - Qt 4 debugging runtime libraries
 libqt4-designer - Qt 4 Designer libraries
 libqt4-dev - Qt 4 development files
 libqt4-gui - Qt 4 core GUI functionality runtime library
 libqt4-qt3support - Qt 3 compatibility library for Qt 4
 libqt4-sql - Qt 4 SQL database module
 qt4-dev-tools - Qt 4 development tools
 qt4-doc    - Qt 4 API documentation
Closes: 325782 327294 327618
Changes: 
 qt4-x11 (4.0.1-2) unstable; urgency=low
 .
   * debian/patches/10_qmake_use_qt4_tools.dpatch: new patch that modifies
     qmake.conf so that qmake generates Makefiles that use the -qt4 tools.
     This way, it can cope with systems that have alternatives set to use
     the -qt3 versions.
 .
   * Increased the conflicting Qt3 package versions to <= 3.3.4-7, since
     the Qt3 packages still don't use the alternatives system as needed to
     coexist with Qt4.
 .
   * debian/libqt4-core.install: added /usr/lib/qt4/plugins/codecs
 .
   * debian/patches/11_launch_assistant-qt4: new patch that modifies the
     QAssistantClient class to launch Qt Assistant as "assistant-qt4" to
     cope with the alternatives system (Closes: #327294)
 .
   * debian/control: Upgraded libqt4-dev's dependencies on the modules
     libqt4-sql and libqt4-qt3support from suggests to depends, and added
     libpq-dev and libmysqlclient14-dev | libmysqlclient-dev as
     dependencies.  These dependencies are apparently required to make
     building pkg-config-using packages happy. (Closes: #327618)
 .
   * debian/control: corrected libqt4-sql to suggest libmysqlclient14-dev,
     not libmysqlclient12-dev which is deprecated
 .
   * debian/copyright: updated FSF snailmail address
 .
   * debian/libqt4-debug.install: removed the libqt3supportwidgets_debug.so
     designer plugin, since for some reason having this installed breaks
     designer (Closes: #325782)
Files: 
 fd4786f7063ce0b12e961094ac28d5c4 1405 libs optional qt4-x11_4.0.1-2.dsc
 2eeec147c0fc0af70d4ef20613e08945 14552 libs optional qt4-x11_4.0.1-2.diff.gz
 2c95c2e1d1f4ba5b4f611ccf8079149d 9786886 doc optional qt4-doc_4.0.1-2_all.deb
 60569ab40699b1066e432c821ed1e77e 3200444 libdevel optional libqt4-dev_4.0.1-2_i386.deb
 0eb6036c377710934f3ac4cf1c666bd6 1416842 libs optional libqt4-core_4.0.1-2_i386.deb
 efa0c784fe38deae398ab646112e55ba 2207326 libs optional libqt4-gui_4.0.1-2_i386.deb
 d7fcbc66907c16677beaf07f2e2cef0f 320046 libs optional libqt4-sql_4.0.1-2_i386.deb
 17efecfbd94aa9678575e4cf58f8cdf0 1198888 libs optional libqt4-qt3support_4.0.1-2_i386.deb
 f7c8d6d5d32de8042d98f59951e758c1 987118 libs optional libqt4-designer_4.0.1-2_i386.deb
 aa0b2ea6b8c7783ae8265b437aab9b59 5924480 libs optional libqt4-debug_4.0.1-2_i386.deb
 9ee028b93fe86b386ec4f19a7b7283d6 825896 devel optional qt4-dev-tools_4.0.1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDJeQp1Ng1YWbyRSERAjxcAJ9gHwrUiIVcbaKFPYo/7VI5NPOx0gCeMMGO
lZFn7pBSNOEn4XAHv+oDFnc=
=02Kl
-----END PGP SIGNATURE-----



Reply to: